diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py b/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
index b8e1ec6..ac9fae4 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
@@ -410,6 +410,7 @@ class StartRunningQueryTest(BaseTestGenerator):
             StartRunningQuery.is_begin_required_for_sql_query = MagicMock(
                 return_value=False
             )
+        self.is_rollback_statement_required = StartRunningQuery.is_rollback_statement_required
         if self.is_rollback_required:
             StartRunningQuery.is_rollback_statement_required = MagicMock(
                 return_value=True
@@ -519,3 +520,8 @@ class StartRunningQueryTest(BaseTestGenerator):
             self.connection.execute_void.assert_called_with('ROLLBACK;')
         elif not self.is_begin_required:
             self.connection.execute_void.assert_not_called()
+
+    def tearDown(self):
+        #  Reseting to the original state as it affects other test cases
+        StartRunningQuery.is_rollback_statement_required = \
+            self.is_rollback_statement_required
